Module tdlight.api
Package it.tdlight.jni

# Class TdApi.TargetChatChosen

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.TargetChat
it.tdlight.jni.TdApi.TargetChatChosen

Enclosing class:
  TdApi

public static final class TdApi.TargetChatChosen extends TdApi.TargetChat
The chat needs to be chosen by the user among chats of the specified types.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`allowBotChats`
True, if private chats with other bots are allowed.
`boolean`
`allowChannelChats`
True, if channel chats are allowed.
`boolean`
`allowGroupChats`
True, if basic group and supergroup chats are allowed.
`boolean`
`allowUserChats`
True, if private chats with ordinary users are allowed.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.

## Constructor Summary

Constructors
Constructor
Description
`TargetChatChosen()`
The chat needs to be chosen by the user among chats of the specified types.
`TargetChatChosen(boolean allowUserChats, boolean allowBotChats, boolean allowGroupChats, boolean allowChannelChats)`
The chat needs to be chosen by the user among chats of the specified types.
`TargetChatChosen(DataInput input)`
The chat needs to be chosen by the user among chats of the specified types.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### allowUserChats

public boolean allowUserChats
True, if private chats with ordinary users are allowed.

### allowBotChats

public boolean allowBotChats
True, if private chats with other bots are allowed.

### allowGroupChats

public boolean allowGroupChats
True, if basic group and supergroup chats are allowed.

### allowChannelChats

public boolean allowChannelChats
True, if channel chats are allowed.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### TargetChatChosen

public TargetChatChosen()
The chat needs to be chosen by the user among chats of the specified types.

### TargetChatChosen

public TargetChatChosen(boolean allowUserChats, boolean allowBotChats, boolean allowGroupChats, boolean allowChannelChats)
The chat needs to be chosen by the user among chats of the specified types.

Parameters:
  `allowUserChats` - True, if private chats with ordinary users are allowed.
  `allowBotChats` - True, if private chats with other bots are allowed.
  `allowGroupChats` - True, if basic group and supergroup chats are allowed.
  `allowChannelChats` - True, if channel chats are allowed.

### TargetChatChosen

public TargetChatChosen(DataInput input) throws IOException
The chat needs to be chosen by the user among chats of the specified types.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`